org.richfaces.component

## Enum UIAjaxLog.Properties

- java.lang.Object
- - java.lang.Enum<UIAjaxLog.Properties>
  - - org.richfaces.component.UIAjaxLog.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIAjaxLog.Properties>
  Enclosing class:
    UIAjaxLog

      protected static enum UIAjaxLog.Properties
      extends Enum<UIAjaxLog.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `hotkey`
    `level`
    `mode`
    `style`
    `styleClass`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIAjaxLog.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIAjaxLog.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### hotkey

          public static final UIAjaxLog.Properties hotkey

    - #### level

          public static final UIAjaxLog.Properties level

    - #### mode

          public static final UIAjaxLog.Properties mode

    - #### style

          public static final UIAjaxLog.Properties style

    - #### styleClass

          public static final UIAjaxLog.Properties styleClass

  - ### Method Detail

    - #### values

          public static UIAjaxLog.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIAjaxLog.Properties c : UIAjaxLog.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIAjaxLog.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.